Bug 1760257 - mon: add mon_memory_target
Summary: mon: add mon_memory_target
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 4.0
Assignee: Sridhar Seshasayee
QA Contact: Manohar Murthy
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2019-10-10 09:21 UTC by Neha Ojha
Modified: 2020-01-31 12:47 UTC (History)
11 users (show)

Fixed In Version: ceph-14.2.4-95.el8cp, ceph-14.2.4-35.el7cp
Doc Type: Enhancement
Doc Text:
.New configurable option: `mon_memory_target` {product} {release} introduces a new configurable option, `mon_memory_target`, used to set the target amount of bytes for Monitor memory usage. It specifies the amount of memory to allocate and manage using the priority cache tuner for the associated Monitor daemon caches. The default value of `mon_memory_target` is set to 2 GiB and you can change it during runtime with: [subs="quotes"] ---- # ceph config set global mon_memory_target _size_ ---- Prior to this release, as a cluster scaled, the Monitor specific RSS usage exceeded the limits that were set using the `mon_osd_cache_size` option, which led to issues. This enhancement allows for improved management of memory allocated to the monitor caches and keeps the usage within specified limits.
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:33 UTC
Target Upstream Version:
sseshasa: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 40870 0 None None None 2019-10-10 09:21:46 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:47:53 UTC

Description Neha Ojha 2019-10-10 09:21:46 UTC
Add a configurable to set a target for MON memory usage using the priority cache tuner for mon caches. Also implement a config observer to handle changes to mon cache sizes.

Comment 9 Sridhar Seshasayee 2019-12-11 03:57:10 UTC
Hi Bara,

I have added the details in the doc text field.

Thanks,
-Sridhar

Comment 17 Erin Donnelly 2020-01-07 19:56:52 UTC
Thanks Sridhar, could you take a quick look at the edited text and let me know if it looks good?

Comment 18 Sridhar Seshasayee 2020-01-08 09:48:09 UTC
Hi Erin,
The changes look good to me.

Thanks,
-Sridhar

Comment 29 errata-xmlrpc 2020-01-31 12:47:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.